import 'dart:ui';

import 'package:diplomaticquarterapp/core/model/ImagesInfo.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/data_display/text.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import 'ask_doctor_page.dart';
import 'doctor_response.dart';

class AskDoctorHomPage extends StatefulWidget {
  @override
  _AskDoctorHomPageState createState() => _AskDoctorHomPageState();
}

class _AskDoctorHomPageState extends State<AskDoctorHomPage> with SingleTickerProviderStateMixin {
  TabController _tabController;

  @override
  void initState() {
    super.initState();
    _tabController = TabController(length: 2, vsync: this);
  }

  @override
  void dispose() {
    super.dispose();
    _tabController.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      isShowAppBar: true,
      appBarTitle: TranslationBase.of(context).askDoctor,
      isShowDecPage: true,
      description: TranslationBase.of(context).infoAskDoc,
      imagesInfo: [
        ImagesInfo(imageEn: 'https://hmgwebservices.com/Images/MobileApp/imges-info/ask-doctor/en/0.png', imageAr: 'https://hmgwebservices.com/Images/MobileApp/imges-info/ask-doctor/ar/0.png'),
        ImagesInfo(imageEn: 'https://hmgwebservices.com/Images/MobileApp/imges-info/ask-doctor/en/1.png', imageAr: 'https://hmgwebservices.com/Images/MobileApp/imges-info/ask-doctor/ar/1.png')
      ],
      body: Scaffold(
        extendBodyBehindAppBar: true,
        appBar: PreferredSize(
          preferredSize: Size.fromHeight(65.0),
          child: Stack(
            children: <Widget>[
              Positioned(
                bottom: 1,
                left: 0,
                right: 0,
                child: BackdropFilter(
                  filter: ImageFilter.blur(sigmaX: 10, sigmaY: 10),
                  child: Container(
                    color: Theme.of(context).scaffoldBackgroundColor.withOpacity(0.8),
                    height: 70.0,
                  ),
                ),
              ),
              Center(
                child: Container(
                  height: 60.0,
                  margin: EdgeInsets.only(top: 10.0),
                  width: MediaQuery.of(context).size.width * 0.9,
                  decoration: BoxDecoration(
                      border: Border(
                        bottom: BorderSide(color: Theme.of(context).dividerColor, width: 0.9),
                      ),
                      color: Colors.white),
                  child: Center(
                    child: TabBar(
                      isScrollable: true,
                      controller: _tabController,
                      indicatorWeight: 5.0,
                      labelColor: Theme.of(context).primaryColor,
                      labelPadding: EdgeInsets.only(top: 4.0, left: 18.0, right: 18.0),
                      unselectedLabelColor: Colors.grey[800],
                      tabs: [
                        Tab(
                          child: Container(
                            width: MediaQuery.of(context).size.width * 0.36,
                            child: Center(
                              child: Texts(TranslationBase.of(context).askDoctor),
                            ),
                          ),
                        ),
                        Tab(
                          child: Container(
                            width: MediaQuery.of(context).size.width * 0.36,
                            child: Center(
                              child: Texts(
                                TranslationBase.of(context).doctorResponses,
                                textAlign: TextAlign.start,
                              ),
                            ),
                          ),
                        )
                      ],
                    ),
                  ),
                ),
              ),
            ],
          ),
        ),
        body: Column(
          children: <Widget>[
            Expanded(
              child: TabBarView(
                physics: BouncingScrollPhysics(),
                controller: _tabController,
                children: <Widget>[AskDoctorPage(), DoctorResponse()],
              ),
            )
          ],
        ),
      ),
    );
  }
}
